Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rf.ats.services.integration.webserv
Class ReferenceBean

    java.lang.Object
      com.rf.ats.services.integration.webserv.EntityBean
          com.rf.ats.services.integration.webserv.ReferenceBean

All Implemented Interfaces:
  java.io.Serializable

public class ReferenceBean
extends EntityBean
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ReferenceBean()`
`ReferenceBean(java.util.Calendar creationDate, FlexFieldBean[] flexValues, long id, java.util.Calendar lastUpdated, java.lang.String status, long candidateId, java.lang.String comments, java.lang.String creator, java.lang.String employer, java.lang.String refEmail, java.lang.String refName, java.lang.String refPhone, java.lang.String refTitle, java.lang.String relToCandidate)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`long` | `getCandidateId()` Gets the candidateId value for this ReferenceBean.
`java.lang.String` | `getComments()` Gets the comments value for this ReferenceBean.
`java.lang.String` | `getCreator()` Gets the creator value for this ReferenceBean.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`java.lang.String` | `getEmployer()` Gets the employer value for this ReferenceBean.
`java.lang.String` | `getRefEmail()` Gets the refEmail value for this ReferenceBean.
`java.lang.String` | `getRefName()` Gets the refName value for this ReferenceBean.
`java.lang.String` | `getRefPhone()` Gets the refPhone value for this ReferenceBean.
`java.lang.String` | `getRefTitle()` Gets the refTitle value for this ReferenceBean.
`java.lang.String` | `getRelToCandidate()` Gets the relToCandidate value for this ReferenceBean.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setCandidateId(long candidateId)` Sets the candidateId value for this ReferenceBean.
`void` | `setComments(java.lang.String comments)` Sets the comments value for this ReferenceBean.
`void` | `setCreator(java.lang.String creator)` Sets the creator value for this ReferenceBean.
`void` | `setEmployer(java.lang.String employer)` Sets the employer value for this ReferenceBean.
`void` | `setRefEmail(java.lang.String refEmail)` Sets the refEmail value for this ReferenceBean.
`void` | `setRefName(java.lang.String refName)` Sets the refName value for this ReferenceBean.
`void` | `setRefPhone(java.lang.String refPhone)` Sets the refPhone value for this ReferenceBean.
`void` | `setRefTitle(java.lang.String refTitle)` Sets the refTitle value for this ReferenceBean.
`void` | `setRelToCandidate(java.lang.String relToCandidate)` Sets the relToCandidate value for this ReferenceBean.

Methods inherited from class com.rf.ats.services.integration.webserv.EntityBean
`getCreationDate, getFlexValues, getId, getLastUpdated, getStatus, setCreationDate, setFlexValues, setId, setLastUpdated, setStatus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReferenceBean

    public ReferenceBean()

### ReferenceBean

    public ReferenceBean(java.util.Calendar creationDate,
                         FlexFieldBean[] flexValues,
                         long id,
                         java.util.Calendar lastUpdated,
                         java.lang.String status,
                         long candidateId,
                         java.lang.String comments,
                         java.lang.String creator,
                         java.lang.String employer,
                         java.lang.String refEmail,
                         java.lang.String refName,
                         java.lang.String refPhone,
                         java.lang.String refTitle,
                         java.lang.String relToCandidate)

Method Detail

### getCandidateId

    public long getCandidateId()

  Gets the candidateId value for this ReferenceBean.

  Returns:
    candidateId

### setCandidateId

    public void setCandidateId(long candidateId)

  Sets the candidateId value for this ReferenceBean.

  Parameters:
    `candidateId` -

### getComments

    public java.lang.String getComments()

  Gets the comments value for this ReferenceBean.

  Returns:
    comments

### setComments

    public void setComments(java.lang.String comments)

  Sets the comments value for this ReferenceBean.

  Parameters:
    `comments` -

### getCreator

    public java.lang.String getCreator()

  Gets the creator value for this ReferenceBean.

  Returns:
    creator

### setCreator

    public void setCreator(java.lang.String creator)

  Sets the creator value for this ReferenceBean.

  Parameters:
    `creator` -

### getEmployer

    public java.lang.String getEmployer()

  Gets the employer value for this ReferenceBean.

  Returns:
    employer

### setEmployer

    public void setEmployer(java.lang.String employer)

  Sets the employer value for this ReferenceBean.

  Parameters:
    `employer` -

### getRefEmail

    public java.lang.String getRefEmail()

  Gets the refEmail value for this ReferenceBean.

  Returns:
    refEmail

### setRefEmail

    public void setRefEmail(java.lang.String refEmail)

  Sets the refEmail value for this ReferenceBean.

  Parameters:
    `refEmail` -

### getRefName

    public java.lang.String getRefName()

  Gets the refName value for this ReferenceBean.

  Returns:
    refName

### setRefName

    public void setRefName(java.lang.String refName)

  Sets the refName value for this ReferenceBean.

  Parameters:
    `refName` -

### getRefPhone

    public java.lang.String getRefPhone()

  Gets the refPhone value for this ReferenceBean.

  Returns:
    refPhone

### setRefPhone

    public void setRefPhone(java.lang.String refPhone)

  Sets the refPhone value for this ReferenceBean.

  Parameters:
    `refPhone` -

### getRefTitle

    public java.lang.String getRefTitle()

  Gets the refTitle value for this ReferenceBean.

  Returns:
    refTitle

### setRefTitle

    public void setRefTitle(java.lang.String refTitle)

  Sets the refTitle value for this ReferenceBean.

  Parameters:
    `refTitle` -

### getRelToCandidate

    public java.lang.String getRelToCandidate()

  Gets the relToCandidate value for this ReferenceBean.

  Returns:
    relToCandidate

### setRelToCandidate

    public void setRelToCandidate(java.lang.String relToCandidate)

  Sets the relToCandidate value for this ReferenceBean.

  Parameters:
    `relToCandidate` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `EntityBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `EntityBean`

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD